My page - Spent time section only display 7 days, make it a parameter
Category: My page Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

Sorry for my english I am from Québec native language french

This feature would be easy to add.

In My Page if I personnalize my page by hadding the spent time option

only 7 days are shown.(sorry in french)

Temps passé (les 7 derniers jours)

Total: 22.21

Activité     Projet     Commentaire     Heures

Here in my shop we do the time sheet every 2 weeks (14 days).

Could we had a parameter in the configuration section of redmine to select the number of days that could be shown in that report.

We could have general parameter in the administration configuration section

let said

Default days "time spent" report  7  day(s)

And event better could it be set by user in the my account section. (note the general one would suffice for us)

for exemple by adding a parameter

User default days "time spent" report  (default) day(s)

Where (default) means to use the general one from the admin section

So in the code for the report if the user one is not default we use that one and if it is default we use the general one

here an exemple of my page (sorry in french)

Temps passé (les 7 derniers jours)

Total: 22.21

Activité     Projet     Commentaire     Heures

so if i set my User default days "time spent" report to 14 (or the general one)

I would have see (in bold)

Temps passé (les 14 derniers jours)

Total: 22.21

Activité     Projet     Commentaire     Heures

and list 14 days in the report

Related issues:

Related to Redmine - Patch #2106: Ability to choose period in 'Spent time' an... New 2008-10-29

Related to Redmine - Feature #24346: My page - Spent time: add predefined par... New

Related to Redmine - Feature #10713: My Page: Make the items on the page conf... New
Has duplicate Redmine - Feature #7508: modify the extent time of the "spent t... Closed 2011-02-01

Has duplicate Redmine - Feature #916: Improve the timesheet summary on My Page Closed 2008-03-24

Associated revisions

Revision 15942 - 2016-10-30 09:32 - Jean-Philippe Lang

My page - Spent time: configurable number of days to display (#8761).

Revision 15943 - 2016-11-03 18:49 - Jean-Philippe Lang

Tests broken by r15942 (#8761).

Revision 16364 - 2017-03-03 18:36 - Jean-Philippe Lang

Fix for "Personalize this page mode" (#8761).

Patch by Marius BALTEANU.

History

#1 - 2011-07-12 13:44 - Mario Morneau

Hi! i found the following plug-in

Redmine Extended Spent Time plugin

does part of what i want but since it is week and dépending of the begening day of working week could have problem.

I would prefer to be able to show the number of days.

Could it be done and integrate to the main redmine project....

Thanks

#2 - 2011-07-13 19:06 - Etienne Massip

- Category set to Administration

#3 - 2012-04-13 12:17 - Stefan Grad

This feature would be very useful for us, too.

#4 - 2013-04-15 09:37 - htellez htellez

All the people at my office (20 guys) would love a feature like this.

Despite we update our time entries daily, sometimes we need to review how much time a task took.

In the summary pages for time entries it is difficult to know how much time we spent in a specific day.

You need to sum up the time logged. In the "my page" it is beautiful, it only shows your time entries

and it sums up how much time you spent in each day.

It has been a whole year since the last update to this post. What have happened?

#5 - 2013-04-15 12:57 - Filou Centrinov

Category: My Page

#6 - 2013-04-16 05:26 - Toshi MARUYAMA

- Category changed from Administration to My page

#7 - 2013-06-11 21:29 - Keven Marin

I'm currently working a plugin that could send a weekly email report to help our employees to manager and clock their time.

In My Page, it could be nice to have such a feature that tell your activities for the last X days/month.

#8 - 2016-10-30 09:35 - Jean-Philippe Lang

- Subject changed from My page - Spent time section only display 7 days make it a parameter to My page - Spent time section only display 7 days,

make it a parameter

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang
- Target version set to 3.4.0

- Resolution set to Fixed

Each user can now change the number of days that are displayed on "My Page".

#9 - 2016-10-30 09:36 - Jean-Philippe Lang

- Related to Patch #2106: Ability to choose period in 'Spent time' and count of watched issues on 'My page'. added

#10 - 2016-11-08 12:32 - Pavel Potcheptsov

- File rm_this_week.png added

Could you also add a predefined parameter "This week" which actually looks like

where("#{TimeEntry.table_name}.user_id = ? \

AND #{TimeEntry.table_name}.spent_on \

BETWEEN ? AND ?", User.current.id, \

Date.today - (Date.today.cwday - 1) % 7, \

Date.today - (Date.today.cwday - 1) % 7 + 6).

This is important for employees who have to register defined amount of hours per week and it's useful to see amount of time that you spent/registered

during current week.

#11 - 2016-11-08 12:40 - Marius BĂLTEANU

Pavel Potcheptsov wrote:

Could you also add a predefined parameter "This week" which actually looks like

[...]

This is important for employees who have to register defined amount of hours per week and it's useful to see amount of time that you

spent/registered during current week.

 You should open a new issue for your request.

#12 - 2016-11-14 12:52 - Pavel Potcheptsov

Thanks, I've created #24346.

#13 - 2016-11-16 06:04 - Toshi MARUYAMA

- Related to Feature #24346: My page - Spent time: add predefined parameter "This week" added

#14 - 2016-12-11 11:18 - Go MAEDA

- Related to Feature #10713: My Page: Make the items on the page configurable added

#15 - 2016-12-11 12:49 - Go MAEDA

- Has duplicate Feature #7508: modify the extent time of the "spent time" on "my page" added

#16 - 2017-01-19 23:41 - Tobias Fischer

Jean-Philippe Lang wrote:

Each user can now change the number of days that are displayed on "My Page".

 There's a regression with that in Firefox on Mac (at least). When clicking the "gear" icon the input field is shown, but it is not clickable because the

drag handler for positioning the box overlays it.

I cannot edit the input field. I can't even click the "Save" button.

Can you have a look please?

#17 - 2017-01-19 23:42 - Tobias Fischer

P.S.: I can only edit the text field when clicking the label to the right....

#18 - 2017-01-20 06:21 - Go MAEDA

Tobias Fischer wrote:
There's a regression with that in Firefox on Mac (at least). When clicking the "gear" icon the input field is shown, but it is not clickable because

the drag handler for positioning the box overlays it.

I cannot edit the input field. I can't even click the "Save" button.

 Probably you were in the "Personalize this page" screen. Please click the gear icon in the normal "My page" screen.

#19 - 2017-01-20 10:19 - Tobias Fischer

Go MAEDA wrote:

Probably you were in the "Personalize this page" screen. Please click the gear icon in the normal "My page" screen.

 Yow are right, that works! But shouldn't we hide the "Plus" and the "Gear" icon then in "personalization mode" on this page to avoid such situations?

#20 - 2017-02-27 21:00 - Marius BĂLTEANU

- File rm_8761_fixes_for_personalize_this_page_mode.patch added

In the "Personalize this page" screen, there are multiple issues:

1. Input field from time block is not clickable on Firefox mac (reported above by Tobias Fischer)

2. Save no of days for spent time block is not working because of the incorrect action form ("/my/page_layout" instead of "my/page"). It throws the

following error "ActionController::RoutingError (No route matches [POST] "/my/page_layout"):"

3. The cursor on issue/time entry hover indicates that a contextual menu is available, but if you try to open the menu, it won't work because of the edit

mode.

Attached is a patch that fixes all 3 issues. I chose to hide the contextual icons because I think that in the "Personalize this page" mode, the user

should focus on how to arrange the blocks, and not on the block settings.

Any feedback is welcomed.

#21 - 2017-02-28 11:27 - Go MAEDA

- Status changed from Closed to Reopened

Reopening to deal with #8761#note-20.

#22 - 2017-03-03 18:36 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Patch applied, thanks.

#23 - 2018-04-02 23:06 - Marius BĂLTEANU

- Has duplicate Feature #916: Improve the timesheet summary on My Page added

Files

rm_this_week.png 60.2 KB 2016-11-08 Pavel Potcheptsov

rm_8761_fixes_for_personalize_this_page_mode.patch 546 Bytes 2017-02-27 Marius BĂLTEANU
